package com.tanpu.community.api.enums;

import org.apache.commons.collections4.SetUtils;

import java.util.HashSet;

public enum ReportTypeEnum {

    THEME(1,"举报主题"),
    COMMENT(2,"举报评论"),
    USER(3,"举报用户");


    public static final HashSet<String> imageTypeSet = SetUtils.hashSet("jpg", "jpeg", "png");

    private Integer code;
    private String type;


    ReportTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
